Certificate Signals

Signals:

- certificate-stored
- certificate-deleted

See also
  certificate.h

# certificate-stored

void (*certificate_stored)(PurpleCertificatePool *pool, const gchar *id, gpointer data);

Description:
  Emitted when a pool stores a certificate. Connect to the pool instance.

Parameters

  pool | Pool the certificate has been stored into
  id | Key the certificate was stored under

# certificate-deleted

void (*certificate_deleted)(PurpleCertificatePool *pool, const gchar *id, gpointer data);

Description:
  Emitted when a pool deletes a certificate. Connect to the pool instance.

Parameters

  pool | Pool the certificate was deleted from
  id | Key that was deleted

_PurpleCertificatePool
Database for retrieval or storage of Certificates.
Definition: certificate.h:128